Summary:       A fast and lightweight IDE using GTK2
Name:          geany
Version:       0.17
Release:       1
License:       GPL2
Group:         Development/Tools
Vendor:        The Geany developer team <info@geany.org>
Packager:      Dominic Hopf <dmaphy@gmail.com>
Source:        http://download.geany.org/%{name}-%{version}.tar.gz
URL:           http://www.geany.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:      glib2, gtk2, pango
BuildRequires: glib2-devel, gtk2-devel, pango-devel

%description
Geany is a small and lightweight Integrated Development Environment. It
was developed to provide a small and fast IDE, which has only a few
dependencies from other packages. Another goal was to be as independent
as possible from a special Desktop Environment like KDE or GNOME -
Geany only requires the GTK2 runtime libraries.

Some basic features of Geany:

- Syntax highlighting
- Code folding
- Symbol name auto-completion
- Construct completion/snippets
- Auto-closing of XML and HTML tags
- Call tips
- Many supported filetypes including C, Java, PHP, HTML, Python, Perl, Pascal, and others
- Symbol lists
- Code navigation
- Build system to compile and execute your code
- Simple project management
- Plugin interface

%prep
%setup -q

%build
%configure
%__make

%install
%__rm -Rf $RPM_BUILD_ROOT
%makeinstall
# If you experience build problems like
# "Found '/home/user/rpmbuild/BUILDROOT/geany-0.16svn-3328.i386' in installed files; aborting"
# try uncommenting the following line to workaround the problem (and add sed to BuildRequires)
#sed -i "s@libdir='.*'@libdir='%{_libdir}/%{name}'@g" $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la

%__rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
%__rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO THANKS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/doc/%{name}/
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/icons/hicolor/16x16/apps/classviewer-*.png
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/
